SystemOrganization addCategory: #ConfigurationOfElasticsearch!

Object subclass: #ConfigurationOfElasticsearch
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfElasticsearch'!

!ConfigurationOfElasticsearch class methodsFor: 'development support' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfElasticsearch class methodsFor: 'private' stamp: 'PaulDeBruicker 4/24/2013 10:48'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfElasticsearch class methodsFor: 'private' stamp: 'PaulDeBruicker 4/24/2013 10:48'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfElasticsearch class methodsFor: 'private' stamp: 'PaulDeBruicker 4/24/2013 10:48'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfElasticsearch class methodsFor: 'metacello tool support' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfElasticsearch class methodsFor: 'loading' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfElasticsearch class methodsFor: 'loading' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfElasticsearch class methodsFor: 'loading' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfElasticsearch class methodsFor: 'accessing' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
project

	^self new project! !

!ConfigurationOfElasticsearch class methodsFor: 'development support' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfElasticsearch methodsFor: 'baselines' stamp: 'ShoYoshida 6/12/2015 15:13'!
baseline101: spec
	<version: '1.0.1-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://ss3.gemtalksystems.com/ss/Elasticsearch'.
			spec
				project: 'ZincHTTPComponents'
					with: [ 
							spec
								className: 'ConfigurationOfZincHTTPComponents';
								versionString: #stable;
								repository: 'http://mc.stfx.eu/ZincHTTPComponents' ];
				project: 'JSON'
					with: [ 
							spec
								className: 'ConfigurationOfJSON';
								versionString: #stable;
								repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main' ].
			spec
				package: 'ElasticSearch-Core' with: [ spec requires: #('ZincHTTPComponents' 'JSON') ];
				package: 'ElasticSearch-Tests' with: [ spec requires: #('ElasticSearch-Core') ].
			spec
				group: 'default' with: #('Core');
				group: 'Core' with: #('ElasticSearch-Core');
				group: 'Tests' with: #('ElasticSearch-Tests') ]! !

!ConfigurationOfElasticsearch methodsFor: 'baselines' stamp: 'PaulDeBruicker 12/4/2014 14:12'!
baseline10: spec
	<version: '1.0-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://ss3.gemtalksystems.com/ss/Elasticsearch'.
			spec
				project: 'ZincHTTPComponents'
					with: [ 
							spec
								className: 'ConfigurationOfZincHTTPComponents';
								versionString: #stable;
								repository: 'http://www.squeaksource.com/ZincHTTPComponents' ];
				project: 'JSON'
					with: [ 
							spec
								className: 'ConfigurationOfJSON';
								versionString: #stable;
								repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main' ].
			spec
				package: 'ElasticSearch-Core' with: [ spec requires: #('ZincHTTPComponents' 'JSON') ];
				package: 'ElasticSearch-Tests' with: [ spec requires: #('ElasticSearch-Core') ].
			spec
				group: 'default' with: #('Core');
				group: 'Core' with: #('ElasticSearch-Core');
				group: 'Tests' with: #('ElasticSearch-Tests') ]! !

!ConfigurationOfElasticsearch methodsFor: 'baselines' stamp: 'ShoYoshida 1/9/2016 11:42'!
baseline11: spec
	<version: '1.1-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec
				project: 'ZincHTTPComponents'
					with: [ 
							spec
								className: 'ConfigurationOfZincHTTPComponents';
								versionString: #stable;
								repository: 'http://mc.stfx.eu/ZincHTTPComponents' ];
				project: 'JSON'
					with: [ 
							spec
								className: 'ConfigurationOfJSON';
								versionString: #stable;
								repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main' ]. ]! !

!ConfigurationOfElasticsearch methodsFor: 'scripts' stamp: 'PaulDeBruicker 4/24/2013 10:51'!
baselineCreation
	MetacelloToolBox
		createBaseline: '1.0-baseline'
		for: 'Elasticsearch'
		repository: 'http://ss3.gemstone.com/ss/Elasticsearch'
		requiredProjects: #('ZincHTTPComponents')
		packages: #('ElasticSearch-Core' 'ElasticSearch-Tests')
		dependencies:
			{('ElasticSearch-Core' -> #('ZincHTTPComponents' 'JSON')).
			('ElasticSearch-Tests' -> #('ElasticSearch-Core' #-))}
		groups: {('default' -> #('ElasticSearch-Core'))}! !

!ConfigurationOfElasticsearch methodsFor: 'scripts' stamp: 'PaulDeBruicker 4/24/2013 10:49'!
createDevVersion
	MetacelloToolBox
		createDevelopment: '1.0'
		for: 'Elasticsearch'
		importFromBaseline: '1.0-baseline'
		description: 'initial development version'! !

!ConfigurationOfElasticsearch methodsFor: 'accessing' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfElasticsearch methodsFor: 'accessing' stamp: 'PaulDeBruicker 4/24/2013 10:47'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfElasticsearch methodsFor: 'symbolic versions' stamp: 'ShoYoshida 1/19/2016 16:42'!
stable: spec
	<symbolicVersion: #stable>
	spec for: #common version: '1.1.3'! !

!ConfigurationOfElasticsearch methodsFor: 'scripts' stamp: 'PaulDeBruicker 4/24/2013 10:51'!
validateConfiguration
	MetacelloToolBox validateConfiguration: ConfigurationOfElasticsearch! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 6/15/2015 11:40'!
version101: spec
	<version: '1.0.1' imports: #('1.0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-ShoYoshida.21';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-ShoYoshida.9' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 6/15/2015 22:27'!
version102: spec
	<version: '1.0.2' imports: #('1.0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-ShoYoshida.23';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-ShoYoshida.9' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 6/17/2015 17:20'!
version103: spec
	<version: '1.0.3' imports: #('1.0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-MasashiUmezawa.24';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-ShoYoshida.9' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 6/28/2015 11:49'!
version104: spec
	<version: '1.0.4' imports: #('1.0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-ShoYoshida.28';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-ShoYoshida.9' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 7/16/2015 23:22'!
version105: spec
	<version: '1.0.5' imports: #('1.0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-ShoYoshida.30';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-ShoYoshida.9' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 9/30/2015 21:12'!
version106: spec
	<version: '1.0.6' imports: #('1.0.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-ShoYoshida.31';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-ShoYoshida.9' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'PaulDeBruicker 12/4/2014 14:12'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec description: 'initial  version'.
			spec author: 'PaulDeBruicker'.
			spec timestamp: '4/24/2013 10:51'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				package: 'ElasticSearch-Core' with: 'ElasticSearch-Core-PaulDeBruicker.14';
				package: 'ElasticSearch-Tests' with: 'ElasticSearch-Tests-pad.7' ]! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 1/12/2016 22:06'!
version111: spec
	<version: '1.1.1' imports: #('1.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				baseline: 'Elasticsearch' with: [ spec repository:'github://newapplesho/elasticsearch-smalltalk:v1.1.1/pharo-repository' ];
				import: 'Elasticsearch']! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 1/14/2016 01:03'!
version112: spec
	<version: '1.1.2' imports: #('1.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				baseline: 'Elasticsearch' with: [ spec repository:'github://newapplesho/elasticsearch-smalltalk:v1.1.2/pharo-repository' ];
				import: 'Elasticsearch']! !

!ConfigurationOfElasticsearch methodsFor: 'as yet unclassified' stamp: 'ShoYoshida 1/19/2016 16:41'!
version113: spec
	<version: '1.1.3' imports: #('1.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				baseline: 'Elasticsearch' with: [ spec repository:'github://newapplesho/elasticsearch-smalltalk:v1.1.3/pharo-repository' ];
				import: 'Elasticsearch']! !

!ConfigurationOfElasticsearch methodsFor: 'as yet unclassified' stamp: 'ShoYoshida 1/30/2016 14:55'!
version114: spec
	<version: '1.1.4' imports: #('1.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				baseline: 'Elasticsearch' with: [ spec repository:'github://newapplesho/elasticsearch-smalltalk:v1.1.4/pharo-repository' ];
				import: 'Elasticsearch']! !

!ConfigurationOfElasticsearch methodsFor: 'versions' stamp: 'ShoYoshida 1/9/2016 11:43'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline')>
	spec
		for: #common
		do: [ 
			spec blessing: #stable.
			spec author: 'ShoYoshida'.
			spec
				project: 'ZincHTTPComponents' with: #stable;
				project: 'JSON' with: #stable.
			spec
				baseline: 'Elasticsearch' with: [ spec repository:'github://newapplesho/elasticsearch-smalltalk:v1.1/pharo-repository' ];
				import: 'Elasticsearch']! !
